Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1484372 - Offline update messages are not localized on non-English Fedora system
Summary: Offline update messages are not localized on non-English Fedora system
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: plymouth
Version: 29
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 11:48 UTC by AsciiWolf
Modified: 2019-06-12 10:00 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-12 10:00:12 UTC
Type: Bug


Attachments (Terms of Use)

Description AsciiWolf 2017-08-23 11:48:26 UTC
Description of problem:
Messages of the offline update during system boot are not localized on my non-English Fedora system. I was not able to find any translatable strings regarding this in Zanata or upstream.

Version-Release number of selected component (if applicable):
plymouth-0.9.3-0.7.20160620git0e65b86c.fc26

How reproducible:
Every time.

Steps to Reproduce:
1. Use a non-English Fedora install.
2. Wait until there are some updates available.
3. Click on "Restart & Install" button in GNOME Software.
3. Watch the update messages during next reboot.

Actual results:
English messages.

Expected results:
Properly (or at least partially) localized messages.

Comment 1 Fedora End Of Life 2018-02-20 15:30:49 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 2 AsciiWolf 2018-10-05 14:59:03 UTC
Probably fixed upstream by: https://github.com/hughsie/PackageKit/commit/866805d33d30dc33a50ce34c508ec11db1b8ed69

Comment 3 Hans de Goede 2019-03-25 11:09:09 UTC
The problem likely is that you do not have LANG set correctly in /etc/locale.conf.

For translations to work the initrd environment must have a correct LANG environment
setting, as the initrd starts plymouth, etc. and the LANG environment in the initrd
comes from /etc/locale.conf

E.g. on my system, I have:

[hans@shalem ~]$ cat /etc/locale.conf 
LANG=nl_NL.utf8

And I have translations in 

(In reply to AsciiWolf from comment #2)
> Probably fixed upstream by:
> https://github.com/hughsie/PackageKit/commit/
> 866805d33d30dc33a50ce34c508ec11db1b8ed69

This is only for the new bgrt plymouth theme and its
offline-updates screen, which is in the upcoming F30
release.

In older releases plymouth simply shows the messages passed
to it by: /usr/libexec/pk-offline-update, this binary is part
of PackageKit and its translations live here:
/usr/share/locale/nl/LC_MESSAGES/PackageKit.mo

Another option why you may not be seeing translations is
because PackageKit is not translated in your language.

Comment 4 Hans de Goede 2019-06-12 10:00:12 UTC
Starting with Fedora 30, the translation of the offline-updates screen is now part of plymouth, see:

https://fedora.zanata.org/iteration/view/plymouth/master

If this is not yet translated in your language, ideally file a merge-request with a new .po
file upstream for this:
https://gitlab.freedesktop.org/plymouth/plymouth/merge_requests

Or add a translation to zanata and let us know that we need to grab it from zanata.

Note translating this is very easy there are only a couple of sentences to translate.


Note You need to log in before you can comment on or make changes to this bug.